Package com.mouseviator.fsuipc.helpers

# Class LuaHelper.LuaParamRequest

java.lang.Object
com.mouseviator.fsuipc.datarequest.DataRequest
com.mouseviator.fsuipc.helpers.LuaHelper.LuaParamRequest

All Implemented Interfaces:
  `IDataRequest<java.lang.Integer>`, `IWriteOnlyRequest<java.lang.Integer>`

Enclosing class:
  LuaHelper

    public static class LuaHelper.LuaParamRequest
    extends DataRequest
    implements IWriteOnlyRequest<java.lang.Integer>

This class implements lua parameter request. It is an Integer type request, with offset 0x0D6C and is WRITE type. The 0x0D6C offset is being used as parameter for FSUIPC lua program control request.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `IDataRequest.RequestType`

- ## Field Summary

  ### Fields inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `BUFFER_LENGTH_BYTE, BUFFER_LENGTH_DOUBLE, BUFFER_LENGTH_FLOAT, BUFFER_LENGTH_INT, BUFFER_LENGTH_LONG, BUFFER_LENGTH_SHORT, dataBuffer, MAX_OFFSET_VALUE, MIN_OFFSET_VALUE, offset, type`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LuaParamRequest​(java.lang.Integer value)` | Creates a new lua parameter request with initial value.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `setValue​(java.lang.Integer value)` | Sets the parameter value or flag number for lua request.

  ### Methods inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `convertStringToByteArray, copyByteArray, getDataBuffer, getDouble, getFloat, getInt, getLong, getOffset, getShort, getSize, getType, getZeroTerminatedString, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort, setOffset, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `getDataBuffer, getOffset, getSize, getType, setOffset, setType`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IWriteOnlyRequest

  `getValue`

- ## Constructor Details

  - ### LuaParamRequest

    public LuaParamRequest​(java.lang.Integer value)
    Creates a new lua parameter request with initial value.
    Parameters:
      `value` - The parameter or flag number for lua request.

- ## Method Details

  - ### setValue

    public void setValue​(java.lang.Integer value)
    Sets the parameter value or flag number for lua request.
    Specified by:
      `setValue` in interface `IDataRequest<java.lang.Integer>`
    Parameters:
      `value` - The parameter or flag number for lua request.